%define _bugzillalibdir %{_datadir}/bugzilla

Summary       : A bug tracking system developed by mozilla.org.
Name          : bugzilla
Version       : 2.18.5
Release       : 1
License       : MPL
Group         : Development/Tools
Source        : ftp://ftp.mozilla.org/pub/mozilla.org/webtools/bugzilla-%{version}.tar.gz
Source1       : bugzilla.conf
Source2       : bugzilla.sql
Source3       : bugzilla.cron
URL           : http://www.bugzilla.org/
Patch1        : bugzilla-cclist.patch
BuildRoot     : %{_tmppath}/%{name}-%{version}-root
Requires      : httpd
Requires      : mysql >= 3.23.41
Requires      : mysql-server
Requires      : perl >= 1:5.6.0
Requires      : perl-Chart
Requires      : perl-CGI >= 2.93
Requires      : perl-DBD-MySQL >= 2.1010
Requires      : perl-DBI >= 1.36
Requires      : perl-GD >= 1.20
Requires      : perl-TimeDate
Requires      : perl(AppConfig) >= 1.52
Requires      : perl(CGI) >= 2.93
Requires      : perl(DBD::mysql) >= 2.1010
Requires      : perl(DBI) >= 1.36
Requires      : perl(Data::Dumper)
Requires      : perl(Date::Format) >= 2.21
Requires      : perl(File::Spec) >= 0.82
Requires      : perl(File::Temp)
Requires      : perl(PatchReader) >= 0.9.4
Requires      : perl(Template) >= 2.08
Requires      : perl(Text::Wrap) >= 2001.0131
#Requires      : perl(XML::Parser)
Requires      : perl-XML-Parser
BuildRequires : perl >= 1:5.6.0
BuildRequires : perl-Chart
BuildRequires : perl-CGI >= 2.93
BuildRequires : perl-DBD-MySQL >= 2.1010
BuildRequires : perl-DBI >= 1.36
BuildRequires : perl-GD >= 1.20
BuildRequires : perl-TimeDate
BuildRequires : perl(AppConfig) >= 1.52
BuildRequires : perl(CGI) >= 2.93
BuildRequires : perl(DBD::mysql) >= 2.1010
BuildRequires : perl(DBI) >= 1.36
BuildRequires : perl(Data::Dumper)
BuildRequires : perl(Date::Format) >= 2.21
BuildRequires : perl(File::Spec) >= 0.82
BuildRequires : perl(File::Temp)
BuildRequires : perl(PatchReader) >= 0.9.4
BuildRequires : perl(Template) >= 2.08
BuildRequires : perl(Text::Wrap) >= 2001.0131
#BuildRequires : perl(XML::Parser)
BuildRequires : perl-XML-Parser
BuildArch     : noarch
PreReq        : /usr/bin/mkpasswd

%description
Bugzilla is an enterprise-class piece of software that powers
issue-tracking for hundreds of organizations around the world,
tracking millions of bugs.

%prep
%setup -q
%patch1 -p1

%build
./checksetup.pl
cp -a localconfig localconfig.org
perl -pi -e "s/\\\$index_html = 0;/\\\$index_html = 1;/" localconfig
perl -pi -e "s/\\\$db_pass = '';/\\\$db_pass = 'THEPASSWORD';/" localconfig
perl -pi -e "s/\\\$webservergroup = \"nobody\";/\\\$webservergroup = \"apache\";/" localconfig

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bugzillalibdir}/{Bugzilla,css,data,shadow,template/en/custom}
install *.cgi $RPM_BUILD_ROOT/%{_bugzillalibdir}
install *.pl $RPM_BUILD_ROOT/%{_bugzillalibdir}
install -m644 *.jpg *.gif $RPM_BUILD_ROOT/%{_bugzillalibdir}
install -m644 *.pm $RPM_BUILD_ROOT/%{_bugzillalibdir}
install -m644 *.html $RPM_BUILD_ROOT/%{_bugzillalibdir}
install -m644 *.js $RPM_BUILD_ROOT/%{_bugzillalibdir}
install -m600 %{SOURCE2} $RPM_BUILD_ROOT/%{_bugzillalibdir}
cp -a template/en/default $RPM_BUILD_ROOT/%{_bugzillalibdir}/template/en
cp -a Bugzilla css js $RPM_BUILD_ROOT/%{_bugzillalibdir}
find $RPM_BUILD_ROOT/%{_bugzillalibdir}/{Bugzilla,css,js,template} -depth -name CVS -type d -exec rm -rf '{}' \;
chmod 1777 $RPM_BUILD_ROOT/%{_bugzillalibdir}/shadow
chmod 1777 $RPM_BUILD_ROOT/%{_bugzillalibdir}/data

mkdir -p %{buildroot}/etc/cron.daily
sed -e's,@bugzilla@,'%{_bugzillalibdir}',' < %{SOURCE3} > %{buildroot}/etc/cron.daily/bugzilla
chmod +x %{buildroot}/etc/cron.daily/bugzilla

mkdir -p %{buildroot}/etc/httpd/conf.d
install -p %{SOURCE1} %{buildroot}/etc/httpd/conf.d/

%post
passwd=`mkpasswd -s 0`
cd %{_bugzillalibdir}
perl -pi -e "s/\$db_pass = 'THEPASSWORD';/\$db_pass = '$passwd';/" localconfig
perl -pi -e "s/THEPASSWORD/$passwd/" bugzilla.sql
#cd %{_bugzillalibdir}
#./checksetup.pl > /root/bugzilla.log 2>&1 || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%doc docs/html docs/images docs/txt
%doc docs/rel_notes.txt
%{_bugzillalibdir}
/etc/cron.daily/bugzilla
/etc/httpd/conf.d/bugzilla.conf
%verify(not md5 size mtime) %{_bugzillalibdir}/bugzilla.sql

%changelog
* Wed Jun 28 2006 Aleksey Nogin <rpm@nogin.org>
- Borrowed some ideas from the ATrpms version of bugzilla-2.22 RPM
- Updated for 2.18.5

* Thu Oct  9 2003 Aleksey Nogin <rpm@nogin.org>
- Updated for 2.17.4

* Fri Dec 20 2002 Aleksey Nogin <ayn2@cornell.edu>
- Updated for 2.17.1

* Fri Nov  2 2001 Aleksey Nogin <ayn2@cornell.edu>
- added Default CC list patch - http://bugzilla.mozilla.org/attachment.cgi?id=32548&action=view

* Wed Sep  5 2001 Tim Powers <timp@redhat.com>
- add requirement for perl-DBD-MySQL

* Thu Aug 30 2001 Tim Powers <timp@redhat.com>
- updated to 2.14 for security errata
- added requires for perl-GD

* Wed May 30 2001 Tim Powers <timp@redhat.com>
- forgot to include *.js files. Fixed. (#42795)

* Mon Apr 30 2001 Tim Powers <timp@redhat.com>
- updated to 2.12, updated perlpath patch
- added suggested fixes from bug 19497
- Security fixes 38411
- Note: This is not the Red Hat version of Bugzilla. You can grab that at
  ftp://people.redhat.com/dkl

* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- fixed bug #16147, dependancy problems.
- patched all the files which looked for perl in /usr/bonsaitools/bin

* Thu Jul 27 2000 Tim Powers <timp@redhat.com>
- fixed problem with /usr/bonsai/perl not existing.

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools

* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging
